Welkom gast! Om van alle functies gebruik te kunnen maken kun je Inloggen of Registreren.

Mededeling

Icon
Error

2 Pagina's12>
Opties
Bekijk
Ga naar laatste bericht Ga naar het laatste ongelezen bericht
Offline Wolly Wolly  
#1 Gepost : woensdag 20 juni 2018 10:22:51(UTC)
Wolly Wolly

Groep: Registered
Lid sinds: 6-12-2012(UTC)
Berichten: 3
Locatie: Nunspeet
Goedemorgen,

Ik wil mijn database verversen en ik krijg de melding: Kan geen veilig kanaal tot stand brengen voor SSL/TLS met autoriteit api.groundspek.com.

Wat doe ik/gaat er fout?

Graag hoor ik van jullie.

mvrgr Evert-Jan Mouw
Offline Underground  
#2 Gepost : woensdag 20 juni 2018 10:36:10(UTC)
Underground

Groep: Administrators
Lid sinds: 25-5-2009(UTC)
Berichten: 5.319
Nederland
Net getest en het is inderdaad 'stuk'.
Dit komt door een wijziging die Groundspeak heeft doorgevoerd afgelopen zaterdag. (zie mail van Groundspeak hieronder)
Die mail kregen we op 12 juni. Ik had er nog niet eerder van gehoord, maar misschien hadden ze het al eens gemeld. Maar nu had ik dus maar 4 dagen om er wat aan te doen.

Voor GAPP heb ik nog niets gedaan, omdat ik eerst wilde weten of het echt een probleem is voor GAPP....(ja dus)
Ik moet hier dus een oplossing voor vinden en waarschijnlijk wordt dat een upgrade naar een nieuwere .NET versie (4.7.2 die met Windows 10 1803 mee is gekomen)

Zelf kwam ik o.a. op deze site uit:
https://success.outsystems.com/Support/Enterprise_Customers/Maintenance_and_Operations/(.NET)_Enable_SSL_Protocols_for_your_Integrations_-_TLS_1.1_and_TLS_1.2
Ik heb dit toegepast op onze server en dit blijkt voor ons te werken.
Je kunt dit zelf ook proberen.

Ondertussen ga ik met GAPP aan de gang om het probleem te verhelpen.

Quote:
Dear API Partner,

I wanted to reach out today to let you know about an upcoming update we’re making in order to be PCI compliant. We will be disabling TLS 1.0 support to our API on June 16th, 2018. Please ensure your application can support connecting to the Geocaching API using TLS 1.1 or greater. If you haven’t already, please make any necessary updates in order to maintain your access to the API.

Please let me know if you have any questions.

Sincerely,
thanks Underground is 1x bedankt voor deze nuttige post.
icaunais op 4-7-2018(UTC)
Offline De broekies  
#3 Gepost : woensdag 20 juni 2018 13:29:28(UTC)
De broekies

Groep: Administrators
Lid sinds: 10-7-2009(UTC)
Berichten: 3.047
Het is opgelost, zie informatie in dit forumdraadje: https://forum.4geocachin...ts&m=55191#post55191
Offline Jason  
#4 Gepost : zondag 1 juli 2018 12:51:13(UTC)
Jason

Groep: Registered
Lid sinds: 1-7-2018(UTC)
Berichten: 7
Duitsland
Since yesterday evening there’s the same problem than already before.
To doublecheck it, I have installed all on my Laptop, but it shows the same behavior.

My system: Win7 SP1 x64 / Microsoft.NET Framework 4.7.2 / GAPP 2.0.22

I need advice. Thank you in advance.

Kind regards
Jason
Offline Underground  
#5 Gepost : zondag 1 juli 2018 17:55:08(UTC)
Underground

Groep: Administrators
Lid sinds: 25-5-2009(UTC)
Berichten: 5.319
Nederland
I am at this moment unable to check this, but looking at your message I assume you have installed the new version 2.0.22.0 and had not a problem before yesterday.
Groundspeak does tend to have problems with the Live API in the weekends. Try again tomorrow and I will try it tomorrow also.
Hopefully the problem resolved itself and if not I will try to see what the cause is.
Offline Jason  
#6 Gepost : zondag 1 juli 2018 18:39:53(UTC)
Jason

Groep: Registered
Lid sinds: 1-7-2018(UTC)
Berichten: 7
Duitsland
Thank you for the quick response.
Ver 2.0.22 worked well until yesterday morning, but not since yesterday evening.
Am I the only one with such problems?
Offline cirkel  
#7 Gepost : maandag 2 juli 2018 07:46:23(UTC)
cirkel

Groep: Betalend lid, Registered
Lid sinds: 22-10-2009(UTC)
Berichten: 95
Locatie: renkum
Ook hier dezelfde problemen
Zaterdag werkte allles prima maar sids gistermiddag krijg ik ook de melding:
"could not establish secure channel for SSL/TLS with authority api groundspeak.com
Vriendelijke groeten
Cirkel
Offline SaGeoFinn  
#8 Gepost : maandag 2 juli 2018 15:57:37(UTC)
SaGeoFinn

Groep: Registered
Lid sinds: 2-7-2018(UTC)
Berichten: 4
Finland
Locatie: Kymenlaakso, Valkeala
Eerst geschreven door: cirkel Ga naar gequote bericht
Ook hier dezelfde problemen
Zaterdag werkte allles prima maar sids gistermiddag krijg ik ook de melding:
"could not establish secure channel for SSL/TLS with authority api groundspeak.com


Hello I hope you can help, I have been using the Globalcaching Application for some time now and really like it. But today I cant do any LiveAPI functions like refresh etc. I have updated to the latest version of the application 2.0.22.0 And have also updated to the most recent version of .NET but this does not help as I am still getting a 'could not establish a secure channel for SSL/TLS with authority 'api.groundspeak.com' Any ideas why this is. any help or suggestions will be greatly appreciated Regards Christo
Offline Underground  
#9 Gepost : maandag 2 juli 2018 17:21:02(UTC)
Underground

Groep: Administrators
Lid sinds: 25-5-2009(UTC)
Berichten: 5.319
Nederland
I just tested the Live API by authorizing and do an Pocket Query import. All went fine.

You might want to perform un uninstall and then install the latest version again. It could be that the update did not update all parts of the application.
(I tested the x64 version on Windows 10 1803)

Bewerkt door de gebruiker maandag 2 juli 2018 17:22:01(UTC)  | Reden: Niet aangegeven

Offline Jason  
#10 Gepost : maandag 2 juli 2018 18:01:43(UTC)
Jason

Groep: Registered
Lid sinds: 1-7-2018(UTC)
Berichten: 7
Duitsland
To uninstall and install again doesn’t solve the problem!

Additional: If I try to download a PQ it doesn’t identify my Premium Membership and I get an error message.

Please try and check with Win7.

Thank you in advance.
Offline Underground  
#11 Gepost : maandag 2 juli 2018 18:54:36(UTC)
Underground

Groep: Administrators
Lid sinds: 25-5-2009(UTC)
Berichten: 5.319
Nederland
ingejason Offline , you don't get the error of TLS1.0? In that case, you have another issue then I thought.

After the update of geocaching.com regarding GDPR, we get a lot of logs with FinderId=0. Even for users that have not disabled public viewing of their profile.
It could be that you also run into this problem. To verify this, I can check this if you have logged a geocache in either Belgium, The Netherlands, Luxembourg or the west part of Germany.
If you have and provide me a geocache code and your geocaching.com user name, I can check.

If you don't have the TLS error, I doubt that is is related to Windows 7. In any case, I cannot test Windows 7, because I don't have it.

Also, do you see your nick on the lower left of the window in GAPP after you do a Live API authorization?
Offline Jason  
#12 Gepost : maandag 2 juli 2018 19:15:44(UTC)
Jason

Groep: Registered
Lid sinds: 1-7-2018(UTC)
Berichten: 7
Duitsland
As I wrote in my first post I have the same problems as described before (SSL/TLS error message). As additional info I reported that my Premium membership is not to be identified.

After update to ver 2.0.22.0 on 20 JUN 18 it worked well until Saturday morning, and I’m not alone with this issue (see other posts).

What is GDPR?

My Nick is to be seen in the lower left after Live API authorization but my Premium membership is not to be identified.

My nick and a found geocache in Belgium has been sent as PM.
Offline Underground  
#13 Gepost : maandag 2 juli 2018 19:33:59(UTC)
Underground

Groep: Administrators
Lid sinds: 25-5-2009(UTC)
Berichten: 5.319
Nederland
Thanks for the PM.
I checked it, performed a geocache log correction and still see your nick.

The problem is that you said that it worked till Saterday and others have the same problem. So, it did work.
I can only assume that Groundspeak has changed something this weekend. The problem is that it works on my PC (oh oh, there it is....it works on my PC ;-)
It is difficult to determine what is wrong.

Now I wonder...what is different on my system?
Others with a problem, do they have Windows 10 1803 or still Windows 7?
Offline Jason  
#14 Gepost : maandag 2 juli 2018 20:01:00(UTC)
Jason

Groep: Registered
Lid sinds: 1-7-2018(UTC)
Berichten: 7
Duitsland
Thank you for your help.

Maybe it has to do with Win7?

@all with this issue
Please indicate your OS.

Thank you in advance.
Offline De broekies  
#15 Gepost : maandag 2 juli 2018 21:00:01(UTC)
De broekies

Groep: Administrators
Lid sinds: 10-7-2009(UTC)
Berichten: 3.047
Same kind of problem (as from saturday) was posted on the Groundspeak forum : https://forums.geocachin...h-multiple-android-apps/

Bewerkt door de gebruiker maandag 2 juli 2018 21:02:29(UTC)  | Reden: Niet aangegeven

Offline SaGeoFinn  
#16 Gepost : dinsdag 3 juli 2018 06:16:03(UTC)
SaGeoFinn

Groep: Registered
Lid sinds: 2-7-2018(UTC)
Berichten: 4
Finland
Locatie: Kymenlaakso, Valkeala
Hi
I have this issue on Windows 7, I have tried using the application on 2 PC's in my house (both windows 7) and I get the same error
Offline cirkel  
#17 Gepost : dinsdag 3 juli 2018 08:44:26(UTC)
cirkel

Groep: Betalend lid, Registered
Lid sinds: 22-10-2009(UTC)
Berichten: 95
Locatie: renkum
I am also using windows 7 on a laptop using the right framework
Vriendelijke groeten
Cirkel
Offline Underground  
#18 Gepost : dinsdag 3 juli 2018 16:09:42(UTC)
Underground

Groep: Administrators
Lid sinds: 25-5-2009(UTC)
Berichten: 5.319
Nederland
Maybe a coincidence, maybe not. But as it looks now, it seems that on Windows 10 there is no problem, but on Windows 7 there is.

People probably had their reason not to perform a (free) update to Windows 10, but some might have run into the effect of an out dated OS.
I cannot check what is wrong on Windows 7, because I don't have a Windows 7 PC.

The same seems to happen with older Android versions. Also there you see problems.

The problem started last Saterday. You might want to ask Groundspeak what is going on.
See the forum thread on groundspeak: https://forums.geocaching.com/GC/index.php?/topic/348959-authorization-error-with-multiple-android-apps/
Online on4bam  
#19 Gepost : dinsdag 3 juli 2018 22:26:19(UTC)
on4bam

Groep: Registered
Lid sinds: 15-8-2012(UTC)
Berichten: 523
Locatie: Planet earth
FYI: GSAK on Win7 has no problem whatsoever to use the API to get PQ's, refresh cachedata, get caches.....

No problem with GSAK on Android7 either


And BTW, I have a very good reason to stay on Win7 unless someone wants to sponsor me $$€€ for a certain software package ;-)

A Win 10 laptop also has no API problems with API1 or API2 (GSAK testing)

It would help if people posting their problems with the API (on the GS thread) would at least mention version numbers of all software used: "API not working" is as useful as "car won't start"
Offline icaunais  
#20 Gepost : woensdag 4 juli 2018 10:49:11(UTC)
icaunais

Groep: Registered
Lid sinds: 21-12-2013(UTC)
Berichten: 10
Frankrijk
Hi,

I had the same problem (also on Win7), and now "it works!".
Can you confirm its "fixed"?

I used this:

Eerst geschreven door: Underground Ga naar gequote bericht


More specifically, I followed the instructions for parts A and B1.

Bewerkt door de gebruiker woensdag 4 juli 2018 11:17:33(UTC)  | Reden: Provide method to fix

Rss Feed  Atom Feed
Gebruikers aanwezig in dit topic
Guest
2 Pagina's12>
Spring naar forum  
Je kunt hier geen nieuwe berichten plaatsen.
Je kunt hier niet antwoorden op berichten.
Je kunt hier geen eigen berichten verwijderen.
Je kunt hier geen eigen berichten bewerken.
Je kunt hier geen Polls creëren.
Je kunt hier niet stemmen op Polls.